<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<%= error_messages_for work_packages.first %>

<%= styled_form_tag work_packages_bulk_path, method: :delete, class: 'form danger-zone' do %>
  <%= back_url_hidden_field_tag unless back_url_is_wp_show? %>
  <% work_packages.each do |work_package| %>
    <%= hidden_field_tag 'ids[]', work_package.id %>
  <% end %>

  <section class="form--section">
    <h3 class="form--section-title">
      <%= t('work_package.destroy.title') %>
    </h3>

    <%= work_package_associations_to_address(associated) %>

    <p>
      <strong><%= t(:text_destroy_what_to_do) %></strong>
    </p>

    <%= fields_for :to_do do |f| %>
      <div class="form--field -trailing-label">
        <%= styled_label_tag :to_do_action_destroy, t(:text_destroy) %>
        <div class="form--field-container">
          <%= styled_radio_button_tag 'to_do[action]', 'destroy' %>
        </div>
      </div>
      <div class="form--field -trailing-label">
        <%=styled_label_tag 'to_do_action_nullify', t(:text_assign_to_project) %>
        <div class="form--field-container">
          <%= styled_radio_button_tag 'to_do[action]' , 'nullify' %>
        </div>
      </div>
      <div class="grid-block">
        <div class="grid-block small-3">
          <div class="form--field -trailing-label">
            <%= styled_label_tag 'to_do_action_reassign', t(:text_reassign) %>
            <div class="form--field-container">
              <%= styled_radio_button_tag 'to_do[action]', 'reassign' %>
              <% csp_onclick('if(jQuery("#to_do_action_reassign").prop("checked")) { jQuery("#to_do_reassign_to_id").focus(); }',
                             '#reassign') %>
            </div>
          </div>
        </div>
        <div class="grid-block">
          <div class="form--field">
            <div class="form--text-field-container -xslim">
              <%= styled_label_tag 'to_do_reassign_to_id', t(:text_reassign), class: 'form--label hidden-for-sighted' %>
              <%= f.text_field 'reassign_to_id', placeholder: WorkPackage.human_attribute_name(:id), value: params[:reassign_to_id], size: 6, onfocus: 'jQuery("#to_do_action_reassign").prop("checked", true);' %>
            </div>
          </div>
        </div>
      </div>
    <% end %>
    <div class="danger-zone--verification">
      <%= styled_button_tag title: t(:button_delete), class: '-primary' do
            concat content_tag :i, '', class: 'button--icon icon-delete'
            concat content_tag :span, t(:button_delete), class: 'button--text'
            end %>
      <%= link_to_function t(:button_cancel),
                           "history.back()",
                           title: t(:button_cancel),
                           class: 'button -with-icon icon-cancel'%>
  </section>

<% end %>
